Page MenuHomePhabricator

relocate/reimage cloudvirt1006 with 10G interfaces
Closed, ResolvedPublic

Description

  • - put system offline in all checks for maint window
  • - apply bios/ilo updates
  • - update RAID to include spare drives
  • - rename/rebuild system from labvirt1006 to cloudvirt1006, move to role::spare
  • - relocate to 10G rack and update netbox
  • - enable PXE for 10G interfaces.
  • - update switch configuration for new primary 10G Nic
  • - update switch configuration and attach secondary 10G port
  • - remove old switch port info
  • - PXE boot and reimage system
  • - update netbox with new name and location
  • - reintroduce system into service cluster
  • - update switch and physical labels with new name and location

Event Timeline

Andrew created this task.Apr 15 2019, 9:52 PM
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptApr 15 2019, 9:52 PM
Andrew updated the task description. (Show Details)Apr 15 2019, 10:00 PM

Change 504215 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Rename some labvirts to cloudvirts

https://gerrit.wikimedia.org/r/504215

Change 504217 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/dns@master] Rename some labvirts to cloudvirts

https://gerrit.wikimedia.org/r/504217

Change 504215 merged by Andrew Bogott:
[operations/puppet@production] Rename some labvirts to cloudvirts

https://gerrit.wikimedia.org/r/504215

Change 504217 merged by Andrew Bogott:
[operations/dns@master] Rename some labvirts to cloudvirts

https://gerrit.wikimedia.org/r/504217

colewhite triaged this task as Normal priority.Apr 16 2019, 3:40 PM
Cmjohnson moved this task from Backlog to Cloud Tasks on the ops-eqiad board.Apr 16 2019, 6:14 PM

MAC: F0:92:1C:05:2A:60

Andrew updated the task description. (Show Details)Apr 18 2019, 4:03 PM
Andrew assigned this task to Cmjohnson.Apr 18 2019, 6:28 PM

Assigning back to Chris for remove old switch port info/update netbox with new name and location/update switch and physical labels with new name and location. I'll repool and add to the cluster after the test VM runs for a day or two without issues.

Cmjohnson updated the task description. (Show Details)Apr 19 2019, 5:30 PM
Cmjohnson reassigned this task from Cmjohnson to Andrew.
Cmjohnson removed projects: ops-eqiad, DC-Ops.

Removing ops-eqiad tag and assigning to @Andrew

Change 505862 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Pool cloudvirt1005 and 1006

https://gerrit.wikimedia.org/r/505862

Change 505862 merged by Andrew Bogott:
[operations/puppet@production] Pool cloudvirt1005 and 1006

https://gerrit.wikimedia.org/r/505862

Andrew updated the task description. (Show Details)Apr 26 2019, 4:45 AM
Andrew closed this task as Resolved.